<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">Zeitraum archivieren</h4>
  <button type="button" class="close" aria-label="Close" (click)="decide(false)" id="archiveClose">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form class="mt-3" [formGroup]="form" novalidate>
    <div class="row">
      <div class="col-md-12">
        <div class="form-group row">
          <label for="title" class="col-sm-3 col-form-label">Titel</label>
          <div class="col-sm-9">
            <input type="text" class="form-control" id="title" placeholder="Titel" formControlName="title">
            <ok-error [control]="form.controls['title']"></ok-error>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-12">
        <div class="form-group row">
          <label for="comment" class="col-sm-3 col-form-label">Kommentar</label>
          <div class="col-sm-9">
            <input type="text" class="form-control" id="comment" placeholder="Name" formControlName="comment">
            <ok-error [control]="form.controls['comment']"></ok-error>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-success" (click)="decide(true)" id="archiveConfirm">Archivieren</button>
  <button type="button" class="btn btn-danger" (click)="decide(false)" id="archiveCancel">Abbrechen</button>
</div>